# Max Estey - The Greatest Dog Ever

- [WebSite](https://cv64.us/cv64/wikibob/htmlCss/max/)

# Awesome

- Unknown Birth (1993? - 24 June 2007)

# Dimensions

- Height Head - 23"
- Tail Length - 12"
- Neck Circumference - 14"
- Body Circumference - 23"
- Legs - 9"
- Weight - 40 lbs
